routes/web.php
<?php

use App\Http\Controllers\Admin\CkeditorController;
use App\Http\Controllers\Front\Ad\AdsController;
use App\Http\Controllers\Front\Blog\BlogController;
use App\Http\Controllers\Front\Home\HomeController;
use App\Http\Controllers\Front\Panel\User\UserPanelController;
use App\Http\Controllers\PageController;
use App\Http\Controllers\Payment\PaymentController;
use App\Http\Controllers\SeedController;
use App\Http\Controllers\SeedPostController;
use App\Http\Controllers\TelegramController;
use App\Models\Ad\Ad;
use App\Models\Ad\Category;
use App\Models\Blog\Post;
use App\Models\User;

//use Corcel\Model\Post;
use Corcel\Model\Taxonomy;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Telegram\Bot\Api;
use Telegram\Bot\Laravel\Facades\Telegram;

/**
 * @param $post
 * @return Closure
 */
//seed
Route::group(['as' => ''], function () {
    Route::get('seed/all', function () {
        ini_set('max_execution_time', 0);
        (new SeedController())->adAll();
        (new SeedPostController())->postAll();
        return 'seed all successful';
    });
    Route::get('seed/ad/all', [
        SeedController::class,
        'adAll',
    ]);
    Route::get('seed/ads', [
        SeedController::class,
        'ads',
    ]);
    Route::get('seed/tags', [
        SeedController::class,
        'tags',
    ]);
    Route::get('seed/categories', [
        SeedController::class,
        'categories',
    ]);
    Route::get('seed/post/all', [
        SeedPostController::class,
        'postAll',
    ]);
    Route::get('seed/posts', [
        SeedPostController::class,
        'posts',
    ]);
    Route::get('seed/posts/tags', [
        SeedPostController::class,
        'tags',
    ]);
    Route::get('seed/posts/categories', [
        SeedPostController::class,
        'categories',
    ]);
});
//old Front
/*Route::group(['prefix' => ''], function () {
 //home
 Route::view('/', 'base')
      ->name('home');
 Route::get('product-category/{slug}/page/{page?}', [
  PageController::class,
  'adCategory'
 ])

  //ads
      ->name('ads-category');
 Route::get('product-category/{slug}', [
  PageController::class,
  'adCategory'
 ])
      ->name('index-ads-category');
 Route::get('product-tag/{slug}/page/{page?}', [
  PageController::class,
  'adTag'
 ])
      ->name('ads-tag');
 Route::get('product-tag/{slug}', [
  PageController::class,
  'adTag'
 ])
      ->name('index-ads-tag');
 Route::get('ads/{slug}', [
  PageController::class,
  'ad'
 ])
      ->name('ad');
//blog
 Route::get('weblog-2/{page?}', [
  BlogController::class,
  'index'
 ])
      ->name('blog-index');
 Route::get('blog/{year}/{month}/{day}/{slug}', [
  BlogController::class,
  'post'
 ])
      ->name('blog-post');
 Route::get('tags/{slug}', [
  BlogController::class,
  'tags'
 ])
      ->name('post-tags');
});*/
// Admin
Route::group([
    'as' => 'admin.',
    'middleware' => 'throttle'
], function () {
    Route::post('ckeditor/upload', [
        CkeditorController::class,
        'upload'
    ])
        ->name('ckeditor.upload');
});
//new Front
Route::group([
    'as' => 'front.',
    'middleware' => ['cacheResponse']
], function () {
    Route::get('', [
        HomeController::class,
        'frontHome'
    ])
        ->middleware('cacheResponse')
        ->name('home');
    Route::get('login-register', [
        HomeController::class,
        'frontLoginRegister'
    ])
        ->withoutMiddleware('cacheResponse')
        ->name('login-register');
    Route::get('قوانین-و-مقررات', [
        HomeController::class,
        'frontRules'
    ])
        ->name('rules');
    Route::get('contact', [
        HomeController::class,
        'frontContactUs'
    ])
        ->name('contact-us');
    Route::get('about', [
        HomeController::class,
        'frontAboutUs'
    ])
        ->name('about-us');
    Route::group(['as' => 'ad.'], function () {
//  Route::get('', [
//   AdsController::class,
//   'frontAdSearch'
//  ])
//       ->name('search');
        Route::get('listing', [
            AdsController::class,
            'frontAdIndex'
        ])
            ->name('index.first.page');
        Route::get('listing/page/{page?}', [
            AdsController::class,
            'frontAdIndex'
        ])
            ->name('index');
        Route::get('newad', [
            AdsController::class,
            'frontAdCreate'
        ])
            ->name('create')
            ->middleware('auth');
        Route::get('ads/{slug:slug}', [
            AdsController::class,
            'frontAdShow'
        ])
            ->name('show');
        Route::group(['as' => 'category.city.'], function () {
            Route::get('blog/city_categories/{slug}/page/{page?}', [
                AdsController::class,
                'frontAdCategoryCityIndex'
            ])
                ->name('index');
            Route::get('blog/city_categories/{slug}', [
                AdsController::class,
                'frontAdCategoryCityIndex'
            ])
                ->name('index.first.page');
        });
        Route::group(['as' => 'category.'], function () {
            Route::get('product-category/{slug}/page/{page?}', [
                AdsController::class,
                'frontAdCategoryIndex'
            ])
                ->name('index');
            Route::get('product-category/{slug}', [
                AdsController::class,
                'frontAdCategoryIndex'
            ])
                ->name('index.first.page');
        });
        Route::group(['as' => 'tag.'], function () {
            Route::redirect('product-tag/{slug}/page/{page?}', config('app.url')
//    , [
//    AdsController::class,
//    'frontAdTagIndex'
//   ]
            );
//        ->name('index');
            Route::redirect('product-tag/{slug}', config('app.url')
//    , [
//    AdsController::class,
//    'frontAdTagIndex'
//   ]
            );
//        ->name('index.first.page');
        });
    });
    Route::group(['as' => 'blog.'], function () {
        Route::get('blog/{year}/{month}/{day}/{slug}', [
            BlogController::class,
            'frontBlogShow'
        ])
            ->name('show');
        Route::group(['as' => 'category.'], function () {
            Route::get('weblog-2/{page?}', [
                BlogController::class,
                'frontBlogCategoryIndexBlog'
            ])
                ->name('blog.index');
            Route::get('weblog-2', [
                BlogController::class,
                'frontBlogCategoryIndexBlog'
            ])
                ->name('blog.index.first.page');
            Route::get('اخبار/{page}', [
                BlogController::class,
                'frontBlogCategoryIndexNews'
            ])
                ->name('news.index');
            Route::get('اخبار', [
                BlogController::class,
                'frontBlogCategoryIndexNews'
            ])
                ->name('news.index.first.page');
        });
        Route::group(['as' => 'tag.'], function () {
            Route::redirect('tags/{slug}/page/{page}', config('app.url')
//    , [
//    BlogController::class,
//    'frontBlogTagIndex'
//   ]
            );
//        ->name('index');
            Route::redirect('tags/{slug}', config('app.url')
//              [
//    BlogController::class,
//    'frontBlogTagIndex'
//   ]
            );
//        ->name('index.first.page');
        });
    });
    Route::group([
        'as' => 'panel.user.',
        'middleware' => 'auth'
    ], function () {
        Route::get('profile/{user?}', [
//  Route::get('profile/?user={user?}', [
            UserPanelController::class,
            'frontPanelUserProfileShow'
        ])
            ->name('profile.show');
        Route::group([
            'prefix' => 'my-account'
        ], function () {
            Route::get('', [
                UserPanelController::class,
                'frontPanelUserAdIndex'
            ])
                ->name('ad.index');
            Route::get('edit-ad/{id}', [
                UserPanelController::class,
                'frontPanelUserAdEdit'
            ])
                ->name('ad.edit');
            Route::get('edit-ad/{id}/payment', [
                UserPanelController::class,
                'frontPanelUserAdPayment'
            ])
                ->name('ad.payment');
            Route::get('user-bookmark', [
                UserPanelController::class,
                'frontPanelUserFavoriteIndex'
            ])
                ->name('favorite.index')
                ->withoutMiddleware('auth');
            Route::get('orders', [
                UserPanelController::class,
                'frontPanelUserPaymentIndex'
            ])
                ->name('payment.index');
            Route::get('edit-account', [
                UserPanelController::class,
                'frontPanelUserProfileEdit'
            ])
                ->name('profile.edit');
        });
    });
});
//telegram
Route::group(['as' => ''], function () {
    /**
     * todo un comment
     */
// Route::post(st()->botApiToken, [
    Route::post('5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw', [
        TelegramController::class,
        'index'
    ]);
    Route::get('/setwebhook', function () {
        return $response = Telegram::setWebhook(['url' => 'https://admin.razzar.ir/5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw']);
    });
    Route::get('/deletewebhook', function () {
        $t = new Api('5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw');
        return $t->deleteWebhook();
    });
    Route::get('/resetwebhook', function () {
        $t = new Api('5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw');
        $t->deleteWebhook();
        $all = $t->getUpdates(['offset' => 423501055]);
        $response = Telegram::getWebhookInfo();
        $response2 = Telegram::setWebhook(['url' => 'https://admin.razzar.ir/5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw']);
        return [

app/Models/Ad/Ad.php
<?php

namespace App\Models\Ad;

use App\Models\Lib\ClearsResponseCache;
use App\Models\Address\City;
use App\Models\Address\State;
use App\Models\Payment\Payment;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\MorphMany;
use Illuminate\Database\Eloquent\Relations\MorphToMany;
use Spatie\Image\Manipulations;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;
use Spatie\MediaLibrary\MediaCollections\Models\Media;
use Spatie\Tags\HasTags;
use Spatie\EloquentSortable\Sortable;
use Spatie\EloquentSortable\SortableTrait;

class Ad extends Model implements HasMedia, Sortable
{
 use HasFactory;
 use InteractsWithMedia;
 use HasTags;
 use ClearsResponseCache;
 use SortableTrait;

 protected $fillable = [
  'title',
  'slug',
  'content',
  'content_html',
  'excerpt',
  'is_visible',
  'price',
  'is_visible_email',
  'phone',
  'email',
  'seo_title',
  'seo_description',
  'views',
  'extra',
  'user_id',
  'state_id',
  'city_id',
  'created_at',
  'updated_at'
 ];
 protected $casts = [
  'is_visible' => 'boolean',
  'is_visible_email' => 'boolean',
  'extra' => 'json',
 ];

 public function tags(): MorphToMany
 {
  return $this->morphToMany(self::getTagClassName(), 'taggable', 'taggables', null, 'tag_id')
              ->orderBy('order_column');
 }

 public function user(): BelongsTo
 {
  return $this->belongsTo(User::class);
 }

 public function state(): BelongsTo
 {
  return $this->belongsTo(State::class);
 }

 public function city(): BelongsTo
 {
  return $this->belongsTo(City::class);
 }

 public function categories(): BelongsToMany
 {
  return $this->belongsToMany(Category::class, 'ad_category_pivot', 'ad_id', 'ad_category_id')
              ->withPivot('is_main')
              ->withTimestamps();
 }

 public function mainCategory()
 {
  return $this->belongsToMany(Category::class, 'ad_category_pivot', 'ad_id', 'ad_category_id')
              ->wherePivot('is_main', 1);
 }

 public function favorites(): HasMany
 {
  return $this->hasMany(Favorite::class);
 }

 public function reports(): HasMany
 {
  return $this->hasMany(Report::class);
 }

 public function reviews(): HasMany
 {
  return $this->hasMany(Review::class);
 }

 public function attrs(): BelongsToMany
 {
  return $this->belongsToMany(Attribute::class, 'ad_attribute_pivot', 'ad_id', 'ad_attribute_id')
              ->withPivot('text', 'boolean', 'integer', 'float', 'date_time', 'date', 'json',)
              ->withTimestamps();
 }

 public function attrs2(): HasMany
 {
  return $this->hasMany(AdAttribute::class);
 }

// public function specialImage()
// {
//  return $this->media()
//              ->first();
// }
 public function registerMediaConversions(Media $media = null): void
 {
  $this->addMediaCollection('SpecialImage')
//   ->useFallbackUrl('https://www.google.com/images/branding/googlelogo/1x/googlelogo_light_color_272x92dp.png');
       ->useFallbackPath(public_path('/images/hero-background-icons (1).jpg'));
//  $this->addMediaConversion('thumb0')
//       ->fit(Manipulations::FIT_CROP, 400, 333)
//       ->performOnCollections('Gallery', 'SpecialImage');
//  $this->addMediaConversion('thumb1')
//       ->fit(Manipulations::FIT_CONTAIN, 400, 333)
//       ->performOnCollections('Gallery', 'SpecialImage');
//  $this->addMediaConversion('thumb2')
//       ->fit(Manipulations::FIT_FILL, 400, 333)
//       ->performOnCollections('Gallery', 'SpecialImage');
//  $this->addMediaConversion('thumb3')
//       ->fit(Manipulations::FIT_MAX, 400, 333)
//       ->performOnCollections('Gallery', 'SpecialImage');
//  $this->addMediaConversion('thumb4')
//       ->fit(Manipulations::FIT_STRETCH, 400, 333)
//       ->performOnCollections('Gallery', 'SpecialImage');
  $this->addMediaConversion('thumb')
//   ->useFallbackUrl('/images/anonymous-user.jpg')
//   ->useFallbackPath(public_path('/images/anonymous-user.jpg'))
       ->crop(Manipulations::CROP_CENTER, 400, 333)
       ->performOnCollections('SpecialImage');
  $this->addMediaConversion('70_70')
       ->crop(Manipulations::CROP_CENTER, 70, 70)
       ->performOnCollections('SpecialImage');
 }

 public function getShortLinkAttribute()
 {
  $id = null;
  if (isset($this->extra->wordpressId)) {
   $id = $this->extra->wordpressId;
  }
  else {
   $id = $this->id;
  }
  return route('front.home', ['p' => $id]);
 }

 public function setExtraAttribute($value)
 {
  if ($value) {
   $this->attributes['extra'] = json_encode($value);
  }
  else {
   $this->attributes['extra'] = json_encode([]);
  }
 }

 public function getExtraAttribute()
 {
  if (isset($this->attributes['extra'])) {
   return json_decode($this->attributes['extra']);
  }
//  return new \stdClass();
 }

 public function getSeoTitleReadyAttribute()
 {
  $list = [
   '%%sep%%' => '|',
   '%%sitename%%' => 'کیوسک',
   '%%title%%' => ''
  ];
  foreach ($list as $k => $v) {
   if ($k == '%%title%%' && !$v) {
    $v = $this->attributes['title'];
   }
   $value = str_replace($k, $v, $value);
  }
  return $value;
 }

 public function payments(): MorphMany
 {
  return $this->morphMany(Payment::class, 'payable');
 }

 public function getContentAttribute($value)
 {
  $stringWithPs = str_replace("\n\n", "</p><p>", $value);
  $stringWithPs = str_replace("\r\n", "</p><p>", $stringWithPs);
  $stringWithPs = str_replace("\n", "</p><p>", $stringWithPs);
  $stringWithPs = "<p>" . $stringWithPs . "</p>";
  $stringWithPs = str_replace("<p></p>", "", $stringWithPs);
  foreach ([
            'h1',
            'h2',
            'h3',
            'h4',
            'h5',
            'h6',
            'li',
            'ul',
            'ol',
            'p'
           ] as $item) {
   $stringWithPs = str_replace("<p><" . $item, "<" . $item, $stringWithPs);
   $stringWithPs = str_replace("</" . $item . "></p>", "</" . $item . ">", $stringWithPs);
  }
  return $stringWithPs;
 }

 public function getContentStripAttribute()
 {
  return strip_tags($this->original['content']);
 }
}

app/Http/Controllers/Front/Home/HomeController.php
<?php

namespace App\Http\Controllers\Front\Home;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Front\Ad\AdsController;
use App\Models\Ad\Ad;
use SEO;
use Spatie\MediaLibrary\MediaCollections\Models\Media;

class HomeController extends Controller
{
 public function frontHome()
 {
//  SEO::setTitle('assswww wwsssssss');
//  SEO::setDescription('sdssddds');
//  SEO::opengraph()->addImage(asset('storage/setting/4611.png'));
//  SEO::opengraph()->setType('website');
//  SEO::opengraph()->setUrl(request()->url());
  if (request()->query('s') || request()->query('city_categories') || request()->query('category')) {
   return (new AdsController())->frontAdSearch();
  }
  elseif (request()->query('p')) {
   $adWordpressId = Ad::where('extra->wordpressId', request()->query('p'))
                      ->first();
   if ($adWordpressId) {
    $slug = $adWordpressId->slug;
   }
   else {
    $slug = Ad::firstOrFail(request()->query('p'))->slug;
   }
   return (new AdsController())->frontAdShow($slug);
  }
  return view('front.pages.home.home.home');
 }

 public function frontLoginRegister()
 {
  if (auth()->check()) {
   return redirect()->route('front.home');
  }
  return view('front.pages.home.login&register');
 }

 public function frontRules()
 {
  return view('front.pages.home.rules');
 }

 public function frontContactUs()
 {
  return view('front.pages.home.contact_us');
 }

 public function frontAboutUs()
 {
  return view('front.pages.home.about_us');
 }
}

resources/views/livewire/front/ad/advance-search.blade.php
<div class="accordion bg-transparent filter"
     id="accordionExample">
 <div class="accordion-item bg-transparent position-relative">
  <h2 class="accordion-header bg-transparent"
      id="headingOne">
   <button class="accordion-button collapsed bg-transparent right-apprance pb-4"
           type="button"
           data-bs-toggle="collapse"
           data-bs-target="#collapseTen"
           aria-expanded="true"
           aria-controls="collapseTen">
    جستجو پیشرفته
   </button>
  </h2>
  <select class="form-select absolot"
          wire:model="sort">
   <option value="">مرتب کردن براساس ارتباط</option>
   <option value="views-desc">مرتب کردن براساس بازدید(زیاد به کم)</option>
   <option value="views-asc">مرتب کردن براساس بازدید(کم به زیاد)</option>
   <option value="created_at-desc">مرتب کردن براساس تاریخ(جدید به قدیم)</option>
   <option value="created_at-asc">مرتب کردن براساس تاریخ(قدیم به جدید)</option>
  </select>
  <div id="collapseTen"
       class="accordion-collapse collapse bg-transparent"
       aria-labelledby="headingTen"
       data-bs-parent="#accordionExample">
   <div class="accordion-body">
    <div class="row g-2 align-items-center">
     <div class="col-md-3">
      <input type="checkbox"
             wire:model="specialAd"
             class="@error('specialAd') is-invalid  @enderror">
      <label for="">اگهی ویژه</label>
      @error('specialAd') <span class=" text-danger">{{ $message }}</span> @enderror
     </div>
     <form class="row g-3 col-md-9">
      <div class="col-md-4">
       <label for="inputEmail4"
              class="form-label">کمترین قیمت</label>
       <input type="number"
              class="form-control @error('min') is-invalid  @enderror"
              wire:model="min"
              id="inputEmail4">
       @error('min') <span class=" text-danger">{{ $message }}</span> @enderror
      </div>
      <div class="col-md-4">
       <label for="inputPassword4"
              class="form-label">بیشترین قیمت</label>
       <input type="number"
              wire:model="max"
              class="form-control @error('max') is-invalid  @enderror"
              id="inputPassword4">
       @error('max') <span class=" text-danger">{{ $message }}</span> @enderror
      </div>
      @include('livewire.front.ad.attributes')
     </form>
    </div>
    <div>
     <button class="btn btn-primary mt-3 mt-md-0"
             wire:click="startSearch">جستجو
     </button>
    </div>
   </div>
  </div>
 </div>
</div>

resources/views/livewire/front/ad/attributes.blade.php
{{--<div class="d-flex flex-row  flex-wrap justify-content-between mb-3">--}}
 @foreach($attributes as $key=>$attribute )
  @if($attribute['is_filterable'])
   @switch($attribute['type'])






{{--    <div class="col-md-4">--}}
{{--     <label class="form-label"--}}
{{--            for="specificSizeSelect">Preference</label>--}}
{{--     <select class="form-select"--}}
{{--             id="specificSizeSelect">--}}
{{--      <option selected>Choose...</option>--}}
{{--      <option value="1">One</option>--}}
{{--      <option value="2">Two</option>--}}
{{--      <option value="3">Three</option>--}}
{{--     </select>--}}
{{--    </div>--}}



















    @case('Text')
    <div class="col-md-4">
     <label class="form-label"
            for="specificSizeSelect">{{$attribute['name']}}</label>
     <select class="form-select @error("attributes.".$key.".value") is-invalid @enderror"
             wire:model="attributes.{{$key}}.value"
             id="specificSizeSelect">
      @php

       $options= \App\Models\Ad\AdAttribute::whereAdAttributeId(1)
                             ->distinct()->pluck('text');
      @endphp
      <option selected>انتخاب کنید</option>
      @foreach($options as $option)
       <option value="{{$option}}">{{$option}}</option>
      @endforeach
       <option value="all">همه</option>
     </select>
     @error("attributes.".$key.".value") <span class=" text-danger">{{ $message }}</span> @enderror
    </div>
    @break
{{--    @case('Select')
    <div class="col-md-4 ">
     <label for="inputEmail4"
            class="form-label">{{$attribute['name']}}</label>
     <select class="form-select @error("attributes.".$key.".value") is-invalid @enderror"
             wire:model="attributes.{{$key}}.value"
             aria-label="Default select example">
      @foreach($attribute['options_array'] as $option)
       --}}{{--     <option selected>شهر</option>--}}{{--
       <option value="{{$option}}">{{$option}}</option>
      @endforeach
     </select>
     @error("attributes.".$key.".value") <span class=" text-danger">{{ $message }}</span> @enderror
    </div>
    @break--}}
   @endswitch

  @endif
 @endforeach
{{--</div>--}}

resources/views/livewire/front/ad/card.blade.php
<div class="col pe-3 ps-2 pt-2
@if(request()->routeIs('front.home'))more-content
@endif">
 <div class="card">
  @if(count($ad->media))
   <a href="{{$ad->slug ? route('front.ad.show',['slug'=>$ad->slug]) : config('app.url')}}">
    <img src="{{$ad->getFirstMedia('SpecialImage')?->getUrl('thumb')}}"
         class="card-img-top "
         title="{{$ad->title}}"
         alt="...">
   </a>

  @endif
  <span class="bookmark  favorite_7636"
        data-toggle="tooltip"
        data-placement="top"
        wire:click="favorite"
        title=""><i class="@if($isFavorite)fas

        @else() far
@endif  fa-bookmark text-white fs-6"></i></span>
  @if($local)
   <script !src="">
     document.cookie = 'favorites=@json($favorits); expires=Thu, 18 Dec 2045 12:00:00 UTC; path=/';
   </script>
  @endif
{{--  <span class="ad_visit">{{$ad->views}} بازدید</span>--}}
  @if($ad?->state || $ad?->city)
   <h4 class="location">
    @if($ad?->state)
     <a class=""
        href="{{route('front.ad.category.city.index.first.page',$ad?->state?->slug)}}">{{$ad?->state?->name}}</a>
    @endif
    @if($ad?->city)
     <a class="" href="{{route('front.ad.category.city.index.first.page',$ad?->city?->slug)}}">{{$ad?->city?->name}}</a>
    @endif
   </h4>
  @endif
  <span class="price"><span>تماس بگیرید</span></span>
  <div class="card-body pt-2 pb-0">
   {{--   <div id="app_basic">--}}
   {{-- <div
      id="aa"

      @input="dd"
         v-bind:title="timestamp"
         class="experiment-block"
         @click="ee"
         :key="{{$ad->id}}"
         wire:model="ddd">@{{ message }}
    </div>--}}
   {{--    <input type="text"--}}
   {{--           wire:model="rrr.aa">--}}
   {{--    <input type="text"--}}
   {{--           wire:model="ad.title">--}}
   {{--   </div>--}}
   <div class="meta">
    <a href="{{$ad->slug ? route('front.ad.show',['slug'=>$ad->slug]) : config('app.url')}}">
     <h5 class="card-title text-dark"
         title="{{$ad->title}}">{{$ad->title}}</h5>
    </a>
    <figure>
     <i class="fa fa-calendar-o"></i> {{jdate($ad->created_at)->ago()}}
    </figure>
    @if($ad?->mainCategory->count())
     <figure>
      <i class="fa fa-folder-open"></i><a href="{{route('front.ad.category.index.first.page',$ad?->mainCategory->first()->slug)}}"> {{$ad?->mainCategory->first()->name}}</a>
     </figure>
    @endif
   </div>
  </div>
 </div>
</div>

resources/views/livewire/front/ad/last-ads.blade.php
<section class="ad-list-block m-0">
 <div class="container">
  <div class="section-title clearfix">
   <h2>آخرین آگهی‌ها</h2>
  </div>
  <!-- cards -->
  <div class="row row-cols-1 row-cols-md-3 row-cols-lg-4 g-3 p-4 p-md-0 cards">
   @forelse ($ads as $ad)
    <livewire:front.ad.card :ad="$ad"
                            :wire:key="$ad['id']"/>
    {{--   {{$ad['id']}}--}}
    <br>
   @empty
    <p>هیچ آگهی هنوز ثبت نشده است.</p>
   @endforelse
  </div>
  <!-- more loader-->
  @if($hasPage)
   <div class="text-center ad-load-more">
    <div class="ad-loading">
     <div class="ad-loader-show"></div>
    </div>
    <button class="btn btn-primary btn-framed btn-rounded loadmore"
            wire:click="nextPageaa">
     آگهی بیشتر...
     <div wire:loading>
      <div class="spinner-grow"
           style="width: 1rem; height: 1rem;"
           role="status">
       <span class="visually-hidden">Loading...</span>
      </div>
     </div>
    </button>
   </div>
 </div>
 @endif
</section>

resources/views/livewire/front/ad/search.blade.php
<form action=""
  @class([
 "mt-2 mb-5 p-md-0 pb-md-5 p-4" => $isOpen,
 "form-floating p-0 ps-1" => ! $isOpen,
])>
 <div class="container">
  <div class="row row-cols-3 align-items-center">
   <div class="col-12 col-lg-5">
    <input type="text"
           class="form-control"
           wire:model="text"
           placeholder="جستجو در تمام آگهی‌ها">
   </div>
   <div class="row ps-2 g-2 col-12 col-lg-5 ps-2 ps-lg-0">
    <div class="col-lg-5">
     <div class="form-floating p-0 ps-1">
      <select class="form-select"
              wire:model="city_id">
       <option value="0"
               selected>تمام شهر‌ها
       </option>
       @foreach($cities as $city)
        <option value="{{$city->id}}">{{$city->name}}</option>
       @endforeach
      </select>
     </div>
    </div>
    <div class="col-lg-7">
     <div class="form-floating p-0 ps-1">
      <select class="form-select"
              id="floatingSelectGrid"
              aria-label="Floating label select example"
              wire:model="category_id">
       <option value="0"
               selected>همه دسته‌بندی‌ها
       </option>
       @foreach($categories->where('parent_id',null) as $category)

               <option value="{{$category->id}}">{{$category->name}}</option>

               @include('livewire.front.ad.sub-category',['children'=>$categories->where('parent_id',$category->id),'categories'=>$categories])
              @endforeach
      </select>
     </div>
    </div>
   </div>
   <div class="col-12 col-lg-2 mt-3">
    <button type="submit"
            class="btn btn-primary w-100 hover-shadow"
            wire:click="startSearch()">جستجو
    </button>
   </div>
  </div>
 </div>
</form>

resources/views/livewire/front/ad/sub-category.blade.php
@foreach($children as $category)


 @php

  $perfix='';
  for ($x = 2; $x <= $loop->depth; $x++) {
   $perfix.='_';
 }


 @endphp


 <option value="{{$category->id}}">{{$perfix}}{{$category->name}}</option>

 @include('livewire.front.ad.sub-category',['children'=>$categories->where('parent_id',$category->id),'categories'=>$categories])
@endforeach